import { Operation } from "@typespec/compiler";
import { JsContext } from "../ctx.js";
/**
 * Gets the 'canonicalized' version of an operation.
 *
 * This is the version of the operation that is accurate to `@typespec/http` interpretation of the
 * operation.
 *
 * - Implicit visibility is applied to the parameters and return type according to the HTTP verb.
 * - Properties and scalars that have unrecognized encoding chains are replaced by their lowest recognized
 *   logical type.
 *
 * @param ctx
 * @param operation
 * @returns
 */
export declare function canonicalizeHttpOperation(ctx: JsContext, operation: Operation): Operation;
//# sourceMappingURL=operation.d.ts.map